Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../_virtual/_rolldown/runtime.cjs");
const require_safe_custom_element = require("../../shared/safe-custom-element.cjs");
const require_index = require("../../shared/tailwind-element/index.cjs");
const require_decorate = require("../../_virtual/_@oxc-project_runtime@0.127.0/helpers/decorate.cjs");
const require_style = require("./style.css?inline.cjs");
let lit = require("lit");
let lit_decorators_js = require("lit/decorators.js");
//#region src/components/lukso-form-description/index.ts
var LuksoFormDescription = class LuksoFormDescription extends require_index.TailwindStyledElement(require_style.default) {
	render() {
		return this.description ? lit.html`
          <lukso-sanitize
            html-content=${this.description ? this.description : lit.nothing}
            class="paragraph-inter-12-regular text-neutral-20 pb-2"
          ></lukso-sanitize>
        ` : lit.nothing;
	}
};
require_decorate.__decorate([(0, lit_decorators_js.property)({
	type: String,
	reflect: true
})], LuksoFormDescription.prototype, "description", void 0);
LuksoFormDescription = require_decorate.__decorate([require_safe_custom_element.safeCustomElement("lukso-form-description")], LuksoFormDescription);
//#endregion
Object.defineProperty(exports, "LuksoFormDescription", {
	enumerable: true,
	get: function() {
		return LuksoFormDescription;
	}
});
